import { Part, IPartContext } from '../../part.js';
import { PartComponent } from '../../component.js';
declare class MicrophoneComponent extends PartComponent {
    volume: number;
    pitch: number;
}
export declare class MicrophonePart extends Part {
    core: MicrophoneComponent;
    private microphone?;
    private thresholds;
    private thresholdSub;
    static transformLegacy(app: any): void;
    constructor();
    onInstall(context: IPartContext): void;
    onStop(): void;
    _queryVolume(): void;
    _queryPitch(): void;
    readonly volume: number;
    readonly pitch: number;
    private _executeThresholds;
    private _startThresholdWatcher;
    onEdge(type: 'rising' | 'falling', value: number, callback: () => void): void;
}
export {};
